<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/direccion_envio.php';
require '../usuario/decodeUsuario.php';
$response = array();

if (
    !isset($_POST['id_usuario'])
) {
    $response['response'] = 'error';
    $response['message'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_usuario = $_POST['id_usuario'];
$direcciones_envio = DireccionEnvio::mdlGetDireccionesById($id_usuario);

if (!$direcciones_envio) {
    $response['response'] = 'error';
    $response['message'] = "No se encontraron direcciones de envío";
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $direcciones_envio;

echo json_encode($response);